Subject: Re: bootstrap/5149: gcc-20011217 reads beyond EOF on cygwin
From: Christopher Faylor <[email-masked]>
To: Werner Tuchan <[email-masked]>
Cc: Neil Booth <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 21 Dec 2001 12:20:07 -0500

On Fri, Dec 21, 2001 at 03:42:14PM +0100, Werner Tuchan wrote:
>> Weird.  The bytes after EOF are a mixture of NULs and 0xc0.  Is 0xc0
>> of special significance in Windows?  Is your version of cygwin the
>> latest?  I recall some talk about mmap bugs in cygwin.
>
>The cygwin version is pretty recent. Two weeks old or so. The data after EOF
>is only garbage. I've seen different values than 0x0 or 0xc0 in the error
>messages. Windows propably doesn't clear the page before mapping the file
>onto it. There is likely a different behaviour here between Windows ME and
>NT.

Can I ask why we'd be reading beyond EOF?  Is it guaranteed that bytes beyond
EOF will be zero on UNIX?

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/